Objects
ObjectPermissions
Permissions on an object: added lists the grants on the object itself, inherited lists the grants of its ancestors in the tree and of the organization (with their origin), and effective lists the current user's effective permissions on this object.
Fields
effectivearray of stringrequiredmanaged_bystring | nullThe object is locked for viewing (
source:<id>): a source in mirror mode sets its permissions, inheritance from the collection and folders does not apply, and manual grants are rejected (409 authz.managed_by_source).nullfor a regular object.
Used by
- GET
/v1/org/permissionsGet permissions on the organization (who is an admin) - PUT
/v1/org/permissionsGrant roles on the organization - DELETE
/v1/org/permissionsRevoke roles on the organization - GET
/v1/collections/{name}/permissionsGet permissions on a collection (direct and inherited) - PUT
/v1/collections/{name}/permissionsGrant roles on a collection - DELETE
/v1/collections/{name}/permissionsRevoke roles on a collection - GET
/v1/cards/{card_id}/permissionsGet permissions on a card (direct and inherited) - PUT
/v1/cards/{card_id}/permissionsGrant roles on a card - DELETE
/v1/cards/{card_id}/permissionsRevoke roles on a card - GET
/v1/sources/{source_id}/permissionsGet permissions on a source (direct and inherited) - PUT
/v1/sources/{source_id}/permissionsGrant roles on a source - DELETE
/v1/sources/{source_id}/permissionsRevoke roles on a source - GET
/v1/folders/{folder_id}/permissionsGet permissions on a folder (direct and inherited) - PUT
/v1/folders/{folder_id}/permissionsGrant roles on a folder - DELETE
/v1/folders/{folder_id}/permissionsRevoke roles on a folder